Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::Exception Struct Reference

Base QuickFIX exception type. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::Exception:
[legend]

List of all members.

## Public Member Functions

| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

std::string | type
std::string | detail

## Detailed Description

Base QuickFIX exception type.

Definition at line 33 of file Exceptions.h.

## Constructor & Destructor Documentation

FIX::Exception::Exception | ( | const std::string & | t,
|  | const std::string & | d |
| ) |  |  | `[inline]`

Definition at line 35 of file Exceptions.h.

    00036   : std::logic_error( d.size() ? t + ": " + d : t ),
    00037     type( t ), detail( d )
    00038   {}

FIX::Exception::~Exception | ( |  | ) | throw ()`[inline]`

Definition at line 39 of file Exceptions.h.

    00039 {}

## Member Data Documentation

std::string FIX::Exception::detail

Definition at line 42 of file Exceptions.h.

std::string FIX::Exception::type

Definition at line 41 of file Exceptions.h.

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Exceptions.h